|  | Home · All Classes · Modules

# QWebPage.ErrorPageExtensionOption Class Reference
[QtWebKit module]

The ErrorPageExtensionOption class describes the option for the error page extension. More...

Inherits ExtensionOption.

### Methods

- __init__ (self)
- __init__ (self, ErrorPageExtensionOption)

### Members

- ErrorDomain domain
- int error
- QString errorString
- QWebFrame frame
- QUrl url

## Detailed Description

The ErrorPageExtensionOption class describes the option for the error page extension.

The ErrorPageExtensionOption class holds the url for which an error occurred as well as the associated frame.

The error itself is reported by an error domain, the error code as well as errorString.

## Method Documentation

### ErrorPageExtensionOption.__init__ (self)

### ErrorPageExtensionOption.__init__ (self, ErrorPageExtensionOption)

## Member Documentation

### ErrorDomain domain

This variable holds the domain that reported the error.

### int error

This variable holds the error code. Interpretation of the value depends on the domain.

See also QWebPage.ErrorDomain.

### QString errorString

This variable holds a string that describes the error.

### QWebFrame frame

This variable holds the frame associated with the error.

### QUrl url

This variable holds the url for which an error occurred.